{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Listar por período</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Listar por período
</div>

<div class="container">
	<div id="lista_bancos" class="row mb-4" style="align-items: center; justify-content: center;">
			<form action="listar-periodo" method="POST" class="col">
				{%csrf_token %}
				<div class="form-group">
					<label for="banco" style="font-weight:bold;">Selecione um Cliente:</label>
					<select style="align-self: center;" class="mt mr-2 form-control" name="id">
						<option value="0+0">Todos os clientes</option>
						{% for cliente in clientes %}
							{% if cliente.conta == id_conta and cliente.banco == id_banco%}	
								<option value="{{cliente.conta}}+{{cliente.banco}}" selected>{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
							{% else %}
								<option value="{{cliente.conta}}+{{cliente.banco}}">{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
							{% endif %}
						{% endfor %}
					</select>
				</div>
				<div class="form-group">
					<label for="banco" style="font-weight:bold;">Selecione um período:</label>
					<input type="date" name="data_inicio" required class="mr-1 form-control" value="{{inicio}}"/>
					<h6 class="mt-2 " style="font-style: italic;"> até </h6>
					<input type="date" name="data_final" class="mr-1 form-control" required value="{{final}}"/>
				</div>
				<div class="form-group">
					<label for="banco" style="font-weight:bold;">Selecione uma Tag:</label>
						<select style="align-self: center;" class="mt-1 form-control" name="tags">
							<option value="tags">Todas as tags</option>
							{% for tag in tags_full %}
								{% if tag == tag_selecionada %}	
									<option value="{{tag}}" selected>{{tag}}</option>
								{% else %}
									<option value="{{tag}}">{{tag}}</option>
								{% endif %}
							{% endfor %}
						</select>
					</div>
				<br>
				<button type="submit" value="Buscar" class='btn btn-primary' style="margin-top:0%;margin-left:40%;align-self: center;">Buscar</button>
		</form>
	</div>
	<div class="row">
		<div id="no-more-tables">
			<table class="table-bordered table table-striped table-condensed cf" id="dataTable">
				<thead>
					<tr role="row">
						<th class="sorting_asc" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Nome: activate to sort column descending" style="width: 40px;">
							Banco
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Projeto: activate to sort column ascending" style="width: 100px;">
							Conta
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Orientador: activate to sort column ascending" style="width: 252px;">
							Descrição
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliado: activate to sort column ascending" style="width: 50px;">
							Operação
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							Valor Dólar
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							Valor Real
						</th>						
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 189px;">
							Tag
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							Vencimento
						</th>
					</tr>
				</thead>
				<tbody> 
					{% for linha in linhas %}
						<tr role="row" class="odd" style="align-items: center; text-justify: initial">
							<td data-title="Banco" class="sorting_1">{{ linha.banco }}</td>
							<td data-title="Conta">{{ linha.conta }}</td>
							<td data-title="Descrição">{{ linha.descricao }}</td>
							<td data-title="Operação">{{ linha.operacao }}</td>
							<td data-title="Valor Dólar">{{ linha.valor_dolar }}</td>
							<td data-title="Valor Real">{{ linha.valor_real }}</td>
							<td data-title="Tag">{{ linha.tag }}</td>
							<td data-title="Vencimento">{{ linha.vencimento }}</td>
						</tr>
					{% endfor %} 
				</tbody>
				<tr role="row" class="odd" style="align-items: center; text-justify: initial">
					<td colspan="8">Valor Total da Pesquisa (Sem contar pagamentos): R${{total}}</td>
				</tr>
			</table>
		</div>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}